// fb_ninja_close_after in seconds >>> plugin option ?? >>> set in page source
// this file depends on Marionette (check when/how that is loaded)

var fb_ninja_timeout,
	fb_ninja_close_after = 5;

jQuery( function() {
	if ( typeof Marionette === 'undefined' ) return;
	
	efbSubmitController = Marionette.Object.extend( {
		initialize: function() {
			this.listenTo( Backbone.Radio.channel( 'forms' ), 'submit:response', this.actionSubmit );
		},
		actionSubmit: function( response ) {
			if ( response.errors === undefined || response.errors.length == 0 ) {
				fb_ninja_timeout = setTimeout( function () {
					jQuery.fancybox.close();
				}, fb_ninja_close_after * 1000 );
			}
		}
	});

	new efbSubmitController();
});

jQuery( document ).on( 'fancybox-cleanup', function() {
	clearTimeout(fb_ninja_timeout);
});
